        AUXOUT                ST-UNIX User's Manual                 AUXOUT



       COMMAND
            auxout - send controlled strings to the serial port.

       FORMAT
            auxout [%Sn][%Cn][%Fn][<str>.][[%T<str>.|%U<str>.|%Dn|%Wc]...].

       DESCRIPTION
            pAuxoutq sends controlled sequences of strings to the serial
            port.  Its primary purpose is to allow login handshaking with 
            host machines.  It may also be used to set modem parameters, and 
            the ST serial port configuration.  

            The command tail of pAuxoutq is a sequence of commands.
            Except in one case each command begins with '%'.  Command
            types are described as follows.

       OPTIONS
            %S - sets the speed of the serial port.
                 if  n = 1,4,7 the speed is set to 9600, 2400, and
                         1200 baud, respectively.

            %C - sets the serial port configuration.
                 if  n = 0,1,2 the configuration is set to 1N8, 1E7,
                         and 1E8, respectively.

            %F - sets the flow control.
                 if  n = 0,1,2 the flow is set to off,^S^Q, and
                         CTS/RTS, respectively.

            %D - delays executing the next command for a specified time.
                 if  n = 1,2,3... the delay is about 1/2 sec.,
                         1 sec., 3/2 sec...

            %T - sends the string <str> to the modem where <str>
                 is any ascii string.  In <str>, the "~" character
                 causes a blank to be sent.  This is to allow auxout
                 command tails in *.g files to be accepted by the gulam
                 shell. The string to be sent must be terminated by a
                 period '.' or else a much longer and crazy string will
                 be sent.  

            %U - like %T except that all lower case caracters in <str> are
                 converted to upper case before being sent.  Must also be
                 terminated with a period '.'.

            %W - waits for the character c to be received by the serial
                 port before the next command is executed.  This command
                 does not distinguish between upper case and lower case.
                 Pressing <return> while waiting escapes from the entire 
                 command sequence.

       EXAMPLES
           
            auxout %C0. 

               - sets the port configuration to 1N8.

            auxout %S1atf1.%Wk%Tat&M4dp3356221.%WQ%D1%Tfranco.%W:%Tpass.

               - sets the speed to 9600 baud, sets the modem to full duplex
                 (Hayes commands), waits for the modem to respond with 'ok',
                 dials the telephone number '3356221', waits for a response 
                 of 'Q' from the remote modem, waits 1/2 second, sends
                 'franco', waits for the password prompt ':', sends the 
                 password 'pass'.

       NOTES

            1.  The entire command tail must be terminated with a period.
            2.  The first <str> string that is transmitted is not preceeded
                by %T or %U.  All following <str> strings are.
            3.  The first <str> string is transmitted as though preceeded
                by %T.
            4.  A newline character is automatically sent after each
                transmitted <str> string.
           

   Printed 6/30/88                                                Page 1
